@import "{}/imports/ui/stylesheets/variables/index";

// ** Compact
//========================================================================================

.course-compact {
  border-color: $course-border-color;
  border-style: solid;
  border-width: $course-border-width;
  height: 150px;
  position: relative;
  transition-duration: 0.1s;
  transition-property: #{"box-shadow opacity"};

  &:hover {
    box-shadow: $shadow-lg-offset-x $shadow-lg-offset-y $shadow-lg-blur $default-shadow;
  }

  &.is-proposal {
    border-style: $proposal-border-style;
  }

  &.has-past-events {
    border-style: $has-past-events-border-style;
  }

  &.has-upcoming-events {
    background: $has-upcoming-events-bg;
  }

  &.is-archived {
    border-color: $archived-color;
  }

  &.filter-no-match,
  &.filter-no-match-delayed {
    transition-duration: 0.25s;
    transition-property: opacity;
  }

  &.filter-no-match-delayed {
    transition-delay: 0.3s;
  }
}

.course-compact.elevate-child,
.course-compact.elevate-child:hover {
  box-shadow: none;
  transition: box-shadow $default-transition-time;
}

// ** Content
//========================================================================================
.course-compact-content {
  background: $body-bg;
  padding-inline-start: 15px;
}

.has-upcoming-events > .course-compact-content {
  background: transparent;
  padding-inline-end: 5px;
  padding-inline-start: 15px;
}

// ** Title
//========================================================================================
.course-compact-title {
  @include ellipsis-multiline(2);

  font-size: 20px;
  line-height: 24px;
  margin: 9.5px 0;
  max-height: 60px;

  a {
    color: $gray-700;
  }
}

// ** Categories
//========================================================================================
.course-compact-content .course-categories {
  height: 55px;
  margin-bottom: 0;
  overflow: hidden;

  /* Move over stretched-link */
  .category-tag {
    position: relative;
    z-index: 2;
  }
}

// ** Grouplist
//========================================================================================
.course-groups {
  position: absolute;

  /* Move over stretched-link */
  z-index: 2;
}

.course-compact > .course-groups {
  bottom: $course-border-width;
  inset-inline-end: $course-border-width;
  padding: 0;
  width: auto;
}
